package cn.palmte.work.config;

/**
 * 数据源等信息常量化
 * @author xiongshiyan
 */
public class Constant {
    public static final String PAGINATION = "pagination";
    public static final String PRIVATEKEY = "privatekey";
    public static final String PUBLICKEY = "publickey";
    public static final String HEADER_TOKEN = "token";
    public static final String API_TOKEN_MANAGER = "apiTokenManager";
    public static final String PC_TOKEN_MANAGER = "pcTokenManager";
    public static final String API_ERROR_COUNT_MANAGER = "apiErrorCountManager";
    public static final String PC_ERROR_COUNT_MANAGER = "pcErrorCountManager";
    public static final String API_CAPTCHA_MANGER = "apiCaptchaManger";
    public static final String PC_CAPTCHA_MANGER = "pcCaptchaManger";

    public static final String PREFIX_API_V3 = "/api/v3";
    public static final String PREFIX_API_PC = "/api/pc";
    public static final String PREFIX_API_DRAG = "/api/drag";

    private Constant() {
    }

    /**
     * 全局状态码
     */
    public static final class Status {
        private Status() {
        }

        /**
         * 成功
         */
        public static final int STATUS_SUCCESS = 0;
        /**
         * 失败
         */
        public static final int STATUS_FAILED = 1;
        /**
         * 异常
         */
        public static final int STATUS_EXCEPTION = 2;
        /**
         * 提示登录
         */
        public static final int STATUS_PROMPT_LOGIN = 1009;
        public static final int STATUS_PROMPT_UNAUTH = 1010;
    }

    /**
     * 成功
     */
    public static final int STATUS_SUCCESS = 0;

    /**
     * 失败
     */
    public static final int STATUS_FAILED = 1;

}