package cn.palmte.work.model;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 项目预算成本表
 */
@Entity
@Table(name = "project_budget_cost")
public class ProjectBudgetCost {
    public static final int FEE_PURCHASE = 1;
    public static final int FEE_PROJECT_MANAGE = 2;
    public static final int FEE_OTHER = 3;

    public static final int TYPE_DEVICE = 1;
    public static final int TYPE_BUILDING = 2;
    public static final int TYPE_SERVICE = 3;
    public static final int TYPE_OTHER = 4;
    public static final int TYPE_PROJECT_MANAGE = 5;
    public static final int TYPE_OTHER_OTHER = 6;
    /**
     * id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @GenericGenerator(name = "persistenceGenerator", strategy = "increment")
    private Integer id;

    @Column(name = "project_id")
    private int projectId;

    private int fee;
    private int type;

    @Column(name = "cost_tax_include")
    private BigDecimal costTaxInclude;
    @Column(name = "cost_tax_exclude")
    private BigDecimal costTaxExclude;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getProjectId() {
        return projectId;
    }

    public void setProjectId(int projectId) {
        this.projectId = projectId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getFee() {
        return fee;
    }

    public void setFee(int fee) {
        this.fee = fee;
    }

    public BigDecimal getCostTaxInclude() {
        return costTaxInclude;
    }

    public void setCostTaxInclude(BigDecimal costTaxInclude) {
        this.costTaxInclude = costTaxInclude;
    }

    public BigDecimal getCostTaxExclude() {
        return costTaxExclude;
    }

    public void setCostTaxExclude(BigDecimal costTaxExclude) {
        this.costTaxExclude = costTaxExclude;
    }
}