package cn.palmte.work.model;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 项目预算收入表
 */
@Entity
@Table(name = "project_budget_income")
public class ProjectBudgetIncome {
    public static final int TYPE_DEVICE = 1;
    public static final int TYPE_ENGINEER = 2;
    public static final int TYPE_SERVICE = 3;

    /**
     * id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @GenericGenerator(name = "persistenceGenerator", strategy = "increment")
    private Integer id;

    @Column(name = "project_id")
    private int projectId;

    private int type;

    @Column(name = "income_tax_include")
    private BigDecimal incomeTaxInclude;
    @Column(name = "income_tax_exclude")
    private BigDecimal incomeTaxExclude;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getProjectId() {
        return projectId;
    }

    public void setProjectId(int projectId) {
        this.projectId = projectId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public BigDecimal getIncomeTaxInclude() {
        return incomeTaxInclude;
    }

    public void setIncomeTaxInclude(BigDecimal incomeTaxInclude) {
        this.incomeTaxInclude = incomeTaxInclude;
    }

    public BigDecimal getIncomeTaxExclude() {
        return incomeTaxExclude;
    }

    public void setIncomeTaxExclude(BigDecimal incomeTaxExclude) {
        this.incomeTaxExclude = incomeTaxExclude;
    }
}