package cn.palmte.work.model;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 项目决算管理成本表
 */
@Entity
@Table(name = "project_final_cost_manage")
public class ProjectFinalCostManage {
    public static final int TYPE_EXPROPRIATION = 1;
    public static final int TYPE_COMPANY_MANAGE = 2;
    public static final int TYPE_INCOME_TAX = 3;
    /**
     * id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @GenericGenerator(name = "persistenceGenerator", strategy = "increment")
    private Integer id;

    @Column(name = "project_id")
    private int projectId;

    private int type;

    /**
     * 概算总额（不含税）
     */
    @Column(name = "estimate_total_manage_cost")
    private BigDecimal estimateTotalManageCost;

    /**
     * 预算总额（不含税）
     */
    @Column(name = "budget_total_manage_cost")
    private BigDecimal budgetTotalManageCost;

    /**
     * 结算总额（不含税）
     */
    @Column(name = "settle_total_manage_cost")
    private BigDecimal settleTotalManageCost;

    /**
     * 决算总额（不含税）
     */
    @Column(name = "final_total_manage_cost")
    private BigDecimal finalTotalManageCost;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getProjectId() {
        return projectId;
    }

    public void setProjectId(int projectId) {
        this.projectId = projectId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public BigDecimal getEstimateTotalManageCost() {
        return estimateTotalManageCost;
    }

    public void setEstimateTotalManageCost(BigDecimal estimateTotalManageCost) {
        this.estimateTotalManageCost = estimateTotalManageCost;
    }

    public BigDecimal getBudgetTotalManageCost() {
        return budgetTotalManageCost;
    }

    public void setBudgetTotalManageCost(BigDecimal budgetTotalManageCost) {
        this.budgetTotalManageCost = budgetTotalManageCost;
    }

    public BigDecimal getSettleTotalManageCost() {
        return settleTotalManageCost;
    }

    public void setSettleTotalManageCost(BigDecimal settleTotalManageCost) {
        this.settleTotalManageCost = settleTotalManageCost;
    }

    public BigDecimal getFinalTotalManageCost() {
        return finalTotalManageCost;
    }

    public void setFinalTotalManageCost(BigDecimal finalTotalManageCost) {
        this.finalTotalManageCost = finalTotalManageCost;
    }
}