package cn.palmte.work.model;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 项目结算成本表
 * @author Yuanping Zhang
 * @date 2021/11/10
 */
@Entity
@Table(name = "project_settle_cost")
public class ProjectSettleCost {
    public static final int FEE_PURCHASE = 1;
    public static final int FEE_PROJECT_MANAGE = 2;
    public static final int FEE_OTHER = 3;

    public static final int TYPE_DEVICE = 1;
    public static final int TYPE_BUILDING = 2;
    public static final int TYPE_SERVICE = 3;
    public static final int TYPE_OTHER = 4;
    public static final int TYPE_PROJECT_MANAGE = 5;
    public static final int TYPE_OTHER_OTHER = 6;
    /**
     * id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @GenericGenerator(name = "persistenceGenerator", strategy = "increment")
    private Integer id;

    @Column(name = "project_id")
    private int projectId;

    @Column(name = "fee")
    private int fee;

    @Column(name = "type")
    private int type;

    @Column(name = "cost_tax_exclude")
    private BigDecimal costTaxExclude;

    @Column(name = "time")
    private String time;

    @Column(name = "estimate")
    private BigDecimal estimate;

    @Column(name = "budget")
    private BigDecimal budget;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getProjectId() {
        return projectId;
    }

    public void setProjectId(int projectId) {
        this.projectId = projectId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getFee() {
        return fee;
    }

    public void setFee(int fee) {
        this.fee = fee;
    }

    public BigDecimal getCostTaxExclude() {
        return costTaxExclude;
    }

    public void setCostTaxExclude(BigDecimal costTaxExclude) {
        this.costTaxExclude = costTaxExclude;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public BigDecimal getEstimate() {
        return estimate;
    }

    public void setEstimate(BigDecimal estimate) {
        this.estimate = estimate;
    }

    public BigDecimal getBudget() {
        return budget;
    }

    public void setBudget(BigDecimal budget) {
        this.budget = budget;
    }
}