package cn.palmte.work.model;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 项目结算收入表
 * @author Yuanping Zhang
 * @date 2021/11/10
 */
@Entity
@Table(name = "project_settle_income")
public class ProjectSettleIncome {
    public static final int TYPE_DEVICE = 1;
    public static final int TYPE_ENGINEER = 2;
    public static final int TYPE_SERVICE = 3;

    /**
     * id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @GenericGenerator(name = "persistenceGenerator", strategy = "increment")
    private Integer id;

    @Column(name = "project_id")
    private int projectId;

    @Column(name = "type")
    private int type;

    @Column(name = "income_tax_exclude")
    private BigDecimal incomeTaxExclude;

    @Column(name = "time")
    private String time;

    @Column(name = "estimate")
    private BigDecimal estimate;

    @Column(name = "budget")
    private BigDecimal budget;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getProjectId() {
        return projectId;
    }

    public void setProjectId(int projectId) {
        this.projectId = projectId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public BigDecimal getIncomeTaxExclude() {
        return incomeTaxExclude;
    }

    public void setIncomeTaxExclude(BigDecimal incomeTaxExclude) {
        this.incomeTaxExclude = incomeTaxExclude;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public BigDecimal getEstimate() {
        return estimate;
    }

    public void setEstimate(BigDecimal estimate) {
        this.estimate = estimate;
    }

    public BigDecimal getBudget() {
        return budget;
    }

    public void setBudget(BigDecimal budget) {
        this.budget = budget;
    }
}