package cn.palmte.work.service;

import cn.palmte.work.model.ActScript;
import cn.palmte.work.model.ActScriptRepository;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import top.jfunc.common.db.QueryHelper;
import top.jfunc.common.db.bean.Page;
import top.jfunc.common.db.utils.Pagination;

import java.util.Date;
import java.util.concurrent.ConcurrentHashMap;


@Service
public class ActScriptService {
    private static final Logger logger = LoggerFactory.getLogger(ActScriptService.class);
    @Autowired
    private ActScriptRepository actScriptRepository;

    @Autowired
    Pagination pagination;


    public Page<ActScript> list(ConcurrentHashMap<String, String> searchInfo, int pageNumber, int pageSize) {
        QueryHelper queryHelper = new QueryHelper("a.*", " act_script a");
        String name = searchInfo.get("name");
        queryHelper.addCondition(StringUtils.isNotEmpty(name), "a.script_name=? ", name);
        queryHelper.addOrderProperty("a.last_updated_time", false);
        return pagination.paginate(queryHelper.getSql(), ActScript.class, pageNumber, pageSize);
    }

    public void save(ActScript actScript) {
        Date now = new Date();
        int id = actScript.getId();
        if (id == 0) {
            actScript.setCreatedTime(now);
        }else {
            ActScript one = actScriptRepository.findOne(id);
            actScript.setCreatedTime(one.getCreatedTime());
        }
        actScript.setLastUpdatedTime(now);
        actScriptRepository.save(actScript);
    }


    public void delete(int id) {
        actScriptRepository.delete(id);
    }


}
