package cn.palmte.work.utils.Umengpush;

import com.alibaba.fastjson.JSONObject;
import top.jfunc.common.crypto.digest.Md5;
import top.jfunc.http.SmartHttpClient;
import top.jfunc.http.holderrequest.Request;
import top.jfunc.http.response.Response;
import top.jfunc.http.smart.JdkSmartHttpClient;

public class PushClient {
	
	// The user agent
	protected static final String USER_AGENT = "Mozilla/5.0";

	// This object is used for sending the post request to Umeng
	protected SmartHttpClient smartHttpClient = new JdkSmartHttpClient();
	
	// The host
	protected static final String host = "http://msg.umeng.com";
	
	// The upload path
	protected static final String uploadPath = "/upload";
	
	// The post path
	protected static final String postPath = "/api/send";

	public String send(UmengNotification msg) throws Exception {
		String timestamp = Integer.toString((int)(System.currentTimeMillis() / 1000));
		msg.setPredefinedKeyValue("timestamp", timestamp);
        String url = host + postPath;
        String postBody = msg.getPostBody();
        String sign = new Md5().encrypt("POST" + url + postBody + msg.getAppMasterSecret()).toLowerCase();
        url = url + "?sign=" + sign;

        ///
        /*HttpPost post = new HttpPost(url);
        post.setHeader("User-Agent", USER_AGENT);
        StringEntity se = new StringEntity(postBody, "UTF-8");
        post.setEntity(se);
        // Send the post request and get the response
        HttpResponse response = client.execute(post);
        int status = response.getStatusLine().getStatusCode();
//        System.out.println("Response Code : " + status);
        BufferedReader rd = new BufferedReader(new InputStreamReader(response.getEntity().getContent()));
        StringBuffer result = new StringBuffer();
        String line = "";
        while ((line = rd.readLine()) != null) {
            result.append(line);
        }
//        System.out.println(result.toString());
        if (status == 200) {
//            System.out.println("Notification sent successfully.");
        } else {
//            System.out.println("Failed to send the notification!");
        }
        return result.toString();*/

        Request request = Request.of(url);
        request.setHeader("User-Agent",USER_AGENT);
        request.setBody(postBody);
        Response post1 = smartHttpClient.post(request);
        return post1.getBodyAsString();

    }

	// Upload file with device_tokens to Umeng
	public String uploadContents(String appkey,String appMasterSecret,String contents) throws Exception {
		// Construct the json string
		JSONObject uploadJson = new JSONObject();
		uploadJson.put("appkey", appkey);
		String timestamp = Integer.toString((int)(System.currentTimeMillis() / 1000));
		uploadJson.put("timestamp", timestamp);
		uploadJson.put("content", contents);
		// Construct the request
		String url = host + uploadPath;
		String postBody = uploadJson.toString();
		String sign = new Md5().encrypt("POST" + url + postBody + appMasterSecret).toLowerCase();
		url = url + "?sign=" + sign;

		////
		/*HttpPost post = new HttpPost(url);
		post.setHeader("User-Agent", USER_AGENT);
		StringEntity se = new StringEntity(postBody, "UTF-8");
		post.setEntity(se);
		// Send the post request and get the response
		HttpResponse response = client.execute(post);
		System.out.println("Response Code : " + response.getStatusLine().getStatusCode());
		BufferedReader rd = new BufferedReader(new InputStreamReader(response.getEntity().getContent()));
		StringBuffer result = new StringBuffer();
		String line = "";
		while ((line = rd.readLine()) != null) {
			result.append(line);
		}
		System.out.println(result.toString());
		// Decode response string and get file_id from it
		JSONObject respJson = JSONObject.parseObject(result.toString());
		String ret = respJson.getString("ret");
		if (!ret.equals("SUCCESS")) {
			throw new Exception("Failed to upload file");
		}
		JSONObject data = respJson.getJSONObject("data");
		String fileId = data.getString("file_id");
		// Set file_id into rootJson using setPredefinedKeyValue
		
		return fileId;*/



        Request request = Request.of(url);
        request.setHeader("User-Agent",USER_AGENT);
        request.setBody(postBody);
        Response post1 = smartHttpClient.post(request);
        JSONObject respJson = JSONObject.parseObject(post1.getBodyAsString());
        String ret = respJson.getString("ret");
        if (!"SUCCESS".equals(ret)) {
            throw new Exception("Failed to upload file");
        }
        JSONObject data = respJson.getJSONObject("data");
        return data.getString("file_id");
	}

}
