<#assign base=request.contextPath />

<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>

<style type="text/css">
    /**让所有的模态对话框都居中*/

    .am-modal.am-modal-prompt.am-modal-active {
        transform: translate(-50%, -50%) scale(1);
        left: 50%;
        top: 50%;
        margin-left: 0;
        margin-top: 0!important;
    }

    select[readonly] option {
        display: none;
    }
</style>

<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目结算表</strong> / <small>${project.name}</small></div>
        </div>

<form method="post" class="am-form" id="pmsForm" data-am-validator>
    <!--选项卡（tabs）begin-->
    <div class="am-tabs am-margin" data-am-tabs>
        <ul class="am-tabs-nav am-nav am-nav-tabs">
            <li class="am-active"><a href="#tab1">项目结算利润表</a></li>
        </ul>
        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in am-active" id="tab1">
                <input name="id" id="id" type="hidden" value="${project.id}" />
                <input name="salary" id="salary" type="hidden" value="${Utils.format(salary,'0')}" />
                <div class="am-u-sm-10">
                    <div class="am-form am-form-inline">
                        <div class="am-form-group am-form-icon">
                            <input type="text" id="time" name="time" autocomplete="off" readonly value="${time!}">
                        </div>
                    </div>
                </div>
                <br/>
                <br/>
                <span class="am-text-lg">收入</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>上月结算总额（元）</td>
                        <td>本月结算金额（元）</td>
                        <td>结算总额（元）</td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>设备类</td>
                        <td><input name="incomeDeviceEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.incomeDeviceTaxExclude,'0')}" required readonly title="设备类概算总额"></td>
                        <td><input name="incomeDeviceBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.incomeDeviceTaxExclude,'0')}" required readonly title="设备类预算总额"></td>
                        <td><input name="incomeDeviceFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.incomeDeviceTaxExclude,'0')}" required readonly title="设备类上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="incomeDevice" value="${Utils.format(monthBean.incomeDevice,'0')}" required title="本月结算金额"></td>
                        <td><input type="text" class="number" name="incomeDeviceSettleTotal" value="${Utils.format(currentBean.incomeDeviceTaxExclude,'0')}" readonly title="设备类结算总额" data-validate-async data-validation-message="结算总额不能大于预算总额"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>工程类</td>
                        <td><input name="incomeEngineerEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.incomeEngineerTaxExclude,'0')}" required readonly title="工程类概算总额"></td>
                        <td><input name="incomeEngineerBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.incomeEngineerTaxExclude,'0')}" required readonly title="工程类预算总额"></td>
                        <td><input name="incomeEngineerFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.incomeEngineerTaxExclude,'0')}" required readonly title="工程类上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="incomeEngineer" value="${Utils.format(monthBean.incomeEngineer,'0')}" required title="工程类本月结算金额"></td>
                        <td><input type="text" class="number" name="incomeEngineerSettleTotal" value="${Utils.format(currentBean.incomeEngineerTaxExclude,'0')}" readonly title="工程类结算总额"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>服务类</td>
                        <td><input name="incomeServiceEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.incomeServiceTaxExclude,'0')}" required readonly title="服务类概算总额"></td>
                        <td><input name="incomeServiceBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.incomeServiceTaxExclude,'0')}" required readonly title="服务类预算总额"></td>
                        <td><input name="incomeServiceFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.incomeServiceTaxExclude,'0')}" required readonly title="服务类上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="incomeService" value="${Utils.format(monthBean.incomeService,'0')}" required title="服务类本月结算金额"></td>
                        <td><input type="text" class="number" name="incomeServiceSettleTotal" value="${Utils.format(currentBean.incomeServiceTaxExclude,'0')}" readonly title="服务类结算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td><input name="incomeEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.getIncomeTotalTaxExclude(),'0')}" readonly required title="此列累计"></td>
                        <td><input name="incomeBudgetTotal" type="text" class="number"  value="${Utils.format(budgetBean.getIncomeTotalTaxExclude(),'0')}" readonly required title="此列累计"></td>
                        <td><input name="incomeFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.getIncomeTotalTaxExclude(),'0')}" required readonly title="此列累计"></td>
                        <td><input type="text" class="number" name="incomeTotal" value="${Utils.format(monthBean.getIncomeTotal(),'0')}" readonly title="此列累计"></td>
                        <td><input type="text" class="number" name="incomeSettleTotal" value="${Utils.format(currentBean.getIncomeTotalTaxExclude(),'0')}" readonly title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">成本</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用</td>
                        <td>费用项目</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>上月结算总额（元）</td>
                        <td>本月结算金额（元）</td>
                        <td>结算总额（元）</td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>设备</td>
                        <td><input name="costPurchaseDeviceEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.costPurchaseDeviceTaxExclude,'0')}" readonly required title="购买设备概算总额"></td>
                        <td><input name="costPurchaseDeviceBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.costPurchaseDeviceTaxExclude,'0')}" readonly required title="购买设备预算总额"></td>
                        <td><input name="costPurchaseDeviceFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.costPurchaseDeviceTaxExclude,'0')}" required readonly title="购买设备上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="costPurchaseDevice" value="${Utils.format(monthBean.costPurchaseDevice,'0')}" required title="购买设备本月结算总额"></td>
                        <td><input type="text" class="number" name="costPurchaseDeviceSettleTotal" value="${Utils.format(currentBean.costPurchaseDeviceTaxExclude,'0')}" readonly title="购买设备结算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>施工</td>
                        <td><input name="costPurchaseBuildEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.costPurchaseBuildTaxExclude,'0')}" readonly required title="施工采购成本概算总额"></td>
                        <td><input name="costPurchaseBuildBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.costPurchaseBuildTaxExclude,'0')}" readonly required title="施工采购成本预算总额"></td>
                        <td><input name="costPurchaseBuildFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.costPurchaseBuildTaxExclude,'0')}" required readonly title="施工采购成本上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="costPurchaseBuild" value="${Utils.format(monthBean.costPurchaseBuild,'0')}" required title="施工采购成本本月结算金额"></td>
                        <td><input type="text" class="number" name="costPurchaseBuildSettleTotal" value="${Utils.format(currentBean.costPurchaseBuildTaxExclude,'0')}" readonly title="施工采购成本结算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>服务</td>
                        <td><input name="costPurchaseServiceEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.costPurchaseServiceTaxExclude,'0')}" readonly required title="服务采购成本概算总额"></td>
                        <td><input name="costPurchaseServiceBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.costPurchaseServiceTaxExclude,'0')}" readonly required title="服务采购成本预算总额"></td>
                        <td><input name="costPurchaseServiceFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.costPurchaseServiceTaxExclude,'0')}" required readonly title="服务采购成本上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="costPurchaseService" value="${Utils.format(monthBean.costPurchaseService,'0')}" required title="服务采购成本本月结算金额"></td>
                        <td><input type="text" class="number" name="costPurchaseServiceSettleTotal" value="${Utils.format(currentBean.costPurchaseServiceTaxExclude,'0')}" readonly title="服务采购成本结算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>其他</td>
                        <td><input name="costPurchaseOtherEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.costPurchaseOtherTaxExclude,'0')}" readonly required title="其他采购成本概算总额"></td>
                        <td><input name="costPurchaseOtherBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.costPurchaseOtherTaxExclude,'0')}" readonly required title="其他采购成本预算总额"></td>
                        <td><input name="costPurchaseOtherFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.costPurchaseOtherTaxExclude,'0')}" required readonly title="其他采购成本上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="costPurchaseOther" value="${Utils.format(monthBean.costPurchaseOther,'0')}" required title="其他采购成本本月结算金额"></td>
                        <td><input type="text" class="number" name="costPurchaseOtherSettleTotal" value="${Utils.format(currentBean.costPurchaseOtherTaxExclude,'0')}" readonly title="其他采购成本结算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>项目管理成本</td>
                        <td>项目管理成本</td>
                        <td><input name="costProjectManageEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.costProjectManageTaxExclude,'0')}" readonly required title="项目管理成本概算总额"></td>
                        <td><input name="costProjectManageBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.costProjectManageTaxExclude,'0')}" readonly required title="项目管理成本预算总额"></td>
                        <td><input name="costProjectManageFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.costProjectManageTaxExclude,'0')}" required readonly title="项目管理成本上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="costProjectManage" value="${Utils.format(monthBean.costProjectManage,'0')}" required title="项目管理成本本月结算金额">
                            <span>人力成本：${Utils.format(salary,'0')} 元</span>
                        <td><input type="text" class="number" name="costProjectManageSettleTotal" value="${Utils.format(currentBean.costProjectManageTaxExclude,'0')}" readonly title="项目管理成本结算总额"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>其他</td>
                        <td><input type="text" id="otherName" maxlength="10" data-validate-async data-validation-message="请输入其他中的小类名称（10字符以内）"
                                   value="${project.otherName!}" name="otherName" placeholder="请输入其他中的小类名称（10字符以内）"/> </td>
                        <td><input name="costOtherEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.costOtherOtherTaxExclude,'0.00')}" readonly title="其他成本概算总额"></td>
                        <td><input name="costOtherBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.costOtherOtherTaxExclude,'0.00')}" readonly title="其他成本预算总额"></td>
                        <td><input name="costOtherFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.costOtherOtherTaxExclude,'0.00')}" readonly title="其他成本上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="costOther" value="${Utils.format(monthBean.costOther,'0.00')}" title="其他成本本月结算金额"></td>
                        <td><input type="text" class="number" name="costOtherSettleTotal" value="${Utils.format(currentBean.costOtherOtherTaxExclude,'0.00')}" readonly title="其他成本结算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td></td>
                        <td><input name="costEstimateTotal" value="${Utils.format(estimateBean.getCostTotalTaxExclude(),'0')}" type="text" class="number" readonly required title="此列累计"></td>
                        <td><input name="costBudgetTotal" value="${Utils.format(budgetBean.getCostTotalTaxExclude(),'0')}" type="text" class="number" readonly required title="此列累计"></td>
                        <td><input name="costFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.getCostTotalTaxExclude(),'0')}" required readonly title="此列累计"></td>
                        <td><input type="text" class="number" name="costTotal" value="${Utils.format(monthBean.getCostTotal(),'0')}" readonly title="此列累计"></td>
                        <td><input type="text" class="number" name="costSettleTotal" value="${Utils.format(currentBean.getCostTotalTaxExclude(),'0')}" readonly title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">管理</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用项目</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>上月结算总额（元）</td>
                        <td>本月结算金额（元）</td>
                        <td>结算总额（元）</td>
                    </tr>
                    <tr>
                        <td>财务费用</td>
                        <td>资金占用成本</td>
                        <td><input name="costExpropriationEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.costExpropriationTaxExclude,'0')}" required readonly title="资金占用成本概算总额"></td>
                        <td><input name="costExpropriationBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.costExpropriationTaxExclude,'0')}" required readonly title="资金占用成本预算总额"></td>
                        <td><input name="costExpropriationFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.costExpropriationTaxExclude,'0')}" required readonly title="资金占用成本上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="costExpropriation" value="${Utils.format(monthBean.costExpropriation,'0')}" required title="资金占用成本本月结算金额"></td>
                        <td><input type="text" class="number" name="costExpropriationSettleTotal" value="${Utils.format(currentBean.costExpropriationTaxExclude,'0')}" readonly title="资金占用成本结算总额"></td>
                    </tr>
                    <tr>
                        <td>公司管理费用</td>
                        <td></td>
                        <td><input name="costCompanyManageEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.costCompanyManageTaxExclude,'0')}" required readonly title="公司管理费用概算总额"></td>
                        <td><input name="costCompanyManageBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.costCompanyManageTaxExclude,'0')}" required readonly title="公司管理费用预算总额"></td>
                        <td><input name="costCompanyManageFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.costCompanyManageTaxExclude,'0')}" required readonly title="公司管理费用上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="costCompanyManage" value="${Utils.format(monthBean.costCompanyManage,'0')}" required title="公司管理费用本月结算金额"></td>
                        <td><input type="text" class="number" name="costCompanyManageSettleTotal" value="${Utils.format(currentBean.costCompanyManageTaxExclude,'0')}" readonly title="公司管理费用结算总额"></td>
                    </tr>
                    <tr>
                        <td>所得税费用</td>
                        <td></td>
                        <td>/</td>
                        <td>/</td>
                        <td><input name="costIncomeTaxFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.costIncomeTax,'0')}" required readonly title="公司管理费用上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="costIncomeTax" value="${Utils.format(monthBean.costIncomeTax,'0')}" required title="公司管理费用本月结算金额"></td>
                        <td><input type="text" class="number" name="costIncomeTaxSettleTotal" value="${Utils.format(currentBean.costIncomeTax,'0')}" readonly title="公司管理费用结算总额"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td><input name="costManageEstimateTotal" value="${Utils.format(estimateBean.costExpropriationTaxExclude + estimateBean.costCompanyManageTaxExclude,'0')}" type="text" class="number" readonly required title="此列累计"></td>
                        <td><input name="costManageBudgetTotal" value="${Utils.format(budgetBean.costExpropriationTaxExclude + budgetBean.costCompanyManageTaxExclude,'0')}" type="text" class="number" readonly required title="此列累计"></td>
                        <td><input name="costManageFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.getCostManageTotal(),'0')}" required readonly title="此列累计"></td>
                        <td><input type="text" class="number" name="costManageTotal" value="${Utils.format(monthBean.getCostManageTotal(),'0')}" readonly title="此列累计"></td>
                        <td><input type="text" class="number" name="costManageSettleTotal" value="${Utils.format(currentBean.getCostManageTotal(),'0')}" readonly title="此列累计"></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">利润率计算</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>概算总额（元）</td>
                        <td>预算总额（元）</td>
                        <td>上月结算总额（元）</td>
                        <td>本月结算金额（元）</td>
                        <td>结算总额（元）</td>
                        <td>利润率（%）</td>
                    </tr>
                    <tr>
                        <td>项目毛利</td>
                        <td><input name="grossProfitEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.getProjectGrossProfit(),'0')}" required readonly title="项目毛利概算总额"></td>
                        <td><input name="grossProfitBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.getProjectGrossProfit(),'0')}" required readonly title="项目毛利预算总额"></td>
                        <td><input name="grossProfitFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.grossProfit,'0')}" required readonly title="项目毛利上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="grossProfit" value="${Utils.format(monthBean.grossProfit,'0')}" readonly required title="项目毛利本月结算金额"></td>
                        <td><input type="text" class="number" name="grossProfitSettleTotal" value="${Utils.format(currentBean.grossProfit,'0')}" readonly title="项目毛利结算总额"></td>
                        <td><input name="grossProfitProfitMargin" type="text" class="number" <#if currentBean.getIncomeTotalTaxExclude() lt 0.01 && currentBean.getIncomeTotalTaxExclude() gt -0.01>value="${Utils.format(100 * currentBean.grossProfit,'0')}"<#else>value="${Utils.format(100 * currentBean.grossProfit / currentBean.getIncomeTotalTaxExclude(),'0')}"</#if> readonly title="项目毛利利润率"></td>
                    </tr>
                    <tr>
                        <td>项目贡献利润</td>
                        <td><input name="contributionProfitEstimateTotal" type="text" class="number" value="${Utils.format(estimateBean.getProjectContributionProfit(),'0')}" required readonly title="项目贡献利润概算总额"></td>
                        <td><input name="contributionProfitBudgetTotal" type="text" class="number" value="${Utils.format(budgetBean.getProjectContributionProfit(),'0')}" required readonly title="项目贡献利润预算总额"></td>
                        <td><input name="contributionProfitFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.contributionProfit,'0')}" required readonly title="项目贡献利润上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="contributionProfit" value="${Utils.format(monthBean.contributionProfit,'0')}" readonly required title="项目贡献利润本月结算金额"></td>
                        <td><input type="text" class="number" name="contributionProfitSettleTotal" value="${Utils.format(currentBean.contributionProfit,'0')}" readonly title="项目贡献利润结算总额"></td>
                        <td><input name="contributionProfitProfitMargin" type="text" class="number" <#if currentBean.getIncomeTotalTaxExclude() lt 0.01 && currentBean.getIncomeTotalTaxExclude() gt -0.01>value="${Utils.format(100 * currentBean.contributionProfit,'0')}"<#else>value="${Utils.format(100 * currentBean.contributionProfit / currentBean.getIncomeTotalTaxExclude(),'0')}"</#if> readonly title="项目贡献利润利润率"></td>
                    </tr>
                    <tr>
                        <td>项目净利润</td>
                        <td>/</td>
                        <td>/</td>
                        <td><input name="netProfitFormerSettleTotal" type="text" class="number" value="${Utils.format(formerBean.netProfit,'0')}" required readonly title="项目净利润上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="netProfit" value="${Utils.format(monthBean.netProfit,'0')}" readonly required title="项目净利润本月结算金额"></td>
                        <td><input type="text" class="number" name="netProfitSettleTotal" value="${Utils.format(currentBean.netProfit,'0')}" readonly title="项目净利润结算总额"></td>
                        <td><input name="netProfitProfitMargin" type="text" class="number" <#if currentBean.getIncomeTotalTaxExclude() lt 0.01 && currentBean.getIncomeTotalTaxExclude() gt -0.01>value="${Utils.format(100 * currentBean.netProfit,'0')}"<#else>value="${Utils.format(100 * currentBean.netProfit / currentBean.getIncomeTotalTaxExclude(),'0')}"</#if> readonly title="项目净利润利润率"></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">结算现金流量表</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>预算总额（元）</td>
                        <td>上月结算总额（元）</td>
                        <td>本月结算金额（元）</td>
                        <td>结算总额（元）</td>
                    </tr>
                    <tr>
                        <td>销售商品、提供劳务收到的现金</td>
                        <td><input name="saleIncomeCashBudget" type="text" class="number" value="${Utils.format(cashFlowBean.saleIncomeCash,'0')}" readonly required title="预算总额"></td>
                        <td><input name="saleIncomeCashFormerSettle" type="text" class="number" value="${Utils.format(formerBean.saleIncomeCash,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="saleIncomeCash" value="${Utils.format(monthBean.saleIncomeCash,'0')}" required title="本月结算金额"></td>
                        <td><input name="saleIncomeCashSettle" type="text" class="number" value="${Utils.format(currentBean.saleIncomeCash,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>收到的税费返还</td>
                        <td>/</td>
                        <td><input name="taxReturnFormerSettle" type="text" class="number" value="${Utils.format(formerBean.taxReturn,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="taxReturn" value="${Utils.format(monthBean.taxReturn,'0')}" required title="本月结算金额"></td>
                        <td><input name="taxReturnSettle" type="text" class="number" value="${Utils.format(currentBean.taxReturn,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>收到其他与经营活动有关的现金</td>
                        <td><input name="earnestMoneyIncomeBudget" type="text" class="number" value="${Utils.format(cashFlowBean.earnestMoneyIncome,'0')}" readonly required title="预算总额"></td>
                        <td><input name="earnestMoneyIncomeFormerSettle" type="text" class="number" value="${Utils.format(formerBean.earnestMoneyIncome,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="earnestMoneyIncome" value="${Utils.format(monthBean.earnestMoneyIncome,'0')}" required title="本月结算金额"></td>
                        <td><input name="earnestMoneyIncomeSettle" type="text" class="number" value="${Utils.format(currentBean.earnestMoneyIncome,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>购买商品、接受劳务支付的现金</td>
                        <td><input name="purchaseCostBudget" type="text" class="number" value="${Utils.format(cashFlowBean.purchaseCost,'0')}" readonly required title="预算总额"></td>
                        <td><input name="purchaseCostFormerSettle" type="text" class="number" value="${Utils.format(formerBean.purchaseCost,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="purchaseCost" value="${Utils.format(monthBean.purchaseCost,'0')}" required title="本月结算金额"></td>
                        <td><input name="purchaseCostSettle" type="text" class="number" value="${Utils.format(currentBean.purchaseCost,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>支付的各项税费</td>
                        <td>/</td>
                        <td><input name="taxCostFormerSettle" type="text" class="number" value="${Utils.format(formerBean.taxCost,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="taxCost" value="${Utils.format(monthBean.taxCost,'0')}" required title="本月结算金额"></td>
                        <td><input name="taxCostSettle" type="text" class="number" value="${Utils.format(currentBean.taxCost,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>支付其他与经营活动有关的现金</td>
                        <td><input name="earnestMoneyCostBudget" type="text" class="number" value="${Utils.format(cashFlowBean.earnestMoneyCost,'0')}" readonly required title="预算总额"></td>
                        <td><input name="earnestMoneyCostFormerSettle" type="text" class="number" value="${Utils.format(formerBean.earnestMoneyCost,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="earnestMoneyCost" value="${Utils.format(monthBean.earnestMoneyCost,'0')}" required title="本月结算金额"></td>
                        <td><input name="earnestMoneyCostSettle" type="text" class="number" value="${Utils.format(currentBean.earnestMoneyCost,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>经营活动产生的现金流量净额</td>
                        <td><input name="netCashFlowBudget" type="text" class="number" value="${Utils.format(cashFlowBean.getNetCashFlow(),'0')}" readonly required title="预算总额"></td>
                        <td><input name="netCashFlowFormerSettle" type="text" class="number" value="${Utils.format(formerBean.netCashFlow,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" name="netCashFlow" value="${Utils.format(monthBean.netCashFlow,'0')}" readonly required title="本月结算金额"></td>
                        <td><input name="netCashFlowSettle" type="text" class="number" value="${Utils.format(currentBean.netCashFlow,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流入</td>
                        <td>/</td>
                        <td><input name="cashInflowFromInvestingActivitiesFormerSettle" type="text" class="number" value="${Utils.format(formerBean.cashInflowFromInvestingActivities,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="cashInflowFromInvestingActivities" value="${Utils.format(monthBean.cashInflowFromInvestingActivities,'0')}" required title="本月结算金额"></td>
                        <td><input name="cashInflowFromInvestingActivitiesSettle" value="${Utils.format(currentBean.cashInflowFromInvestingActivities,'0')}" type="text" class="number" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流出</td>
                        <td>/</td>
                        <td><input name="cashOutflowFromInvestingActivitiesFormerSettle" type="text" class="number" value="${Utils.format(formerBean.cashOutflowFromInvestingActivities,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="cashOutflowFromInvestingActivities" value="${Utils.format(monthBean.cashOutflowFromInvestingActivities,'0')}" required title="本月结算金额"></td>
                        <td><input name="cashOutflowFromInvestingActivitiesSettle" value="${Utils.format(currentBean.cashOutflowFromInvestingActivities,'0')}" type="text" class="number" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>投资活动产生的现金流量净额</td>
                        <td>/</td>
                        <td><input name="netCashFromInvestingActivitiesFormerSettle" type="text" class="number" value="${Utils.format(formerBean.netCashFromInvestingActivities,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" name="netCashFromInvestingActivities" value="${Utils.format(monthBean.netCashFromInvestingActivities,'0')}" readonly required title="本月结算金额"></td>
                        <td><input name="netCashFromInvestingActivitiesSettle" type="text" class="number" value="${Utils.format(currentBean.netCashFromInvestingActivities,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>融资资金流入</td>
                        <td><input name="financingCapitalInflowBudget" type="text" class="number" value="${Utils.format(cashFlowBean.financingCapitalInflow,'0')}" readonly required title="预算总额"></td>
                        <td><input name="financingCapitalInflowFormerSettle" type="text" class="number" value="${Utils.format(formerBean.financingCapitalInflow,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="financingCapitalInflow" value="${Utils.format(monthBean.financingCapitalInflow,'0')}" required title="本月结算金额"></td>
                        <td><input name="financingCapitalInflowSettle" type="text" class="number" value="${Utils.format(currentBean.financingCapitalInflow,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>还款资金流出</td>
                        <td><input name="financingCapitalOutflowBudget" type="text" class="number" value="${Utils.format(cashFlowBean.financingCapitalOutflow,'0')}" readonly required title="预算总额"></td>
                        <td><input name="financingCapitalOutflowFormerSettle" type="text" class="number" value="${Utils.format(formerBean.financingCapitalOutflow,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" maxlength="16" name="financingCapitalOutflow" value="${Utils.format(monthBean.financingCapitalOutflow,'0')}" required title="本月结算金额"></td>
                        <td><input name="financingCapitalOutflowSettle" type="text" class="number" value="${Utils.format(currentBean.financingCapitalOutflow,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>筹资活动产生的现金流量净额</td>
                        <td><input name="financingCapitalCashflowBudget" type="text" class="number" value="${Utils.format(cashFlowBean.getFinancingCapitalCashflow(),'0')}" readonly required title="预算总额"></td>
                        <td><input name="financingCapitalCashflowFormerSettle" type="text" class="number" value="${Utils.format(formerBean.financingCapitalCashflow,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" name="financingCapitalCashflow" value="${Utils.format(monthBean.financingCapitalCashflow,'0')}" readonly required title="本月结算金额"></td>
                        <td><input name="financingCapitalCashflowSettle" type="text" class="number" value="${Utils.format(currentBean.financingCapitalCashflow,'0')}" readonly title="结算总额"></td>
                    </tr>
                    <tr>
                        <td>货币资金净增加额</td>
                        <td><input name="netIncreaseMonetaryFundsBudget" type="text" class="number" value="${Utils.format(cashFlowBean.getNetIncreaseMonetaryFunds(),'0')}" readonly required title="预算总额"></td>
                        <td><input name="netIncreaseMonetaryFundsFormerSettle" type="text" class="number" value="${Utils.format(formerBean.netIncreaseMonetaryFunds,'0')}" required readonly title="上月结算总额"></td>
                        <td><input type="text" class="number" name="netIncreaseMonetaryFunds" value="${Utils.format(monthBean.netIncreaseMonetaryFunds,'0')}" readonly required title="本月结算金额"></td>
                        <td><input name="netIncreaseMonetaryFundsSettle" type="text" class="number" value="${Utils.format(currentBean.netIncreaseMonetaryFunds,'0')}" readonly title="结算总额"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <!--验证表单元素（validate end-->
        </div>
    </div>

    <!--选项卡（tabs）end-->
    <div class="am-margin">
        <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">返回上一级</button>
        <button type="submit" class="am-btn am-btn-primary am-btn-xs" id="saveSettle">保存</button>
        <button type="submit" class="am-btn am-btn-primary am-btn-xs" id="saveApprove">提交审核</button>
    </div>
</form>

</div>
</div>
<script>
    var base = "${base}";
</script>
    <script src="${base}/layui/layui.js"></script>
    <script src="${base}/assets/js/project_common.js"></script>
    <script src="${base}/assets/js/project_settle.js"></script>
    <script src="${base}/assets/js/project_settle_valid.js"></script>
    <script>
    // layui.use('laydate', function(){
    //     var laydate = layui.laydate;
    //
    //     laydate.render({
    //         elem: '#time',
    //         type: 'month',
    //         btns: ['confirm'],
    //         trigger: 'click',
    //         ready: function(date){
    //             console.log(date);
    //         }
    //     });
    // });


    $(function () {
        calculateSettle();

        $("#saveSettle").click(function () {
            $("#saveSettle").attr('disabled',true);
            var result = valid();
            if (result) {
                setTimeout(function () {
                    $("#saveSettle").attr('disabled', false);
                }, 5000);
                $("#pmsForm").attr("action", "${base}/project/settle/save");
                $("#pmsForm").submit();
            } else {
                $("#saveSettle").attr('disabled', false);
                return false;
            }
        });

        $("#saveApprove").click(function () {
            $("#saveApprove").attr('disabled',true);
            var result = valid();
            if (result) {
                setTimeout(function () {
                    $("#saveApprove").attr('disabled', false);
                }, 5000);
                $("#pmsForm").attr("action",base+"/project/settle/saveAndApprove");
                $("#pmsForm").submit();
            } else {
                $("#saveApprove").attr('disabled', false);
                return false;
            }
        });
    });

</script>
</@defaultLayout.layout>